Summary:     ICQ transport for the jabber server
Name:        jabber-icq
Version:     1.1.7
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabber.ru/files/jit/jit-%{version}.tar.gz
Source1:     jabberd-icq.init
Source2:     icq.xml
URL:         http://jit.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Rabbit <rabbit@jabber.wp.pl>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc libstdc++ >= 2.96
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libstdc++-devel
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the ICQ transport.


%prep
%setup -q -n jit-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr/jabber \
	--nodebug
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 jit/*.so $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 xdb_file/xdb_file.so $RPM_BUILD_ROOT/usr/jabber/lib/jit-xdb_file.so
install -m 0755 jabberd/jabberd-jit $RPM_BUILD_ROOT/usr/jabber/bin
ln -s jabberd-jit $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-icq
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/icq.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/icq.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/icq.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-icq


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/icq.xml
/sbin/chkconfig --add jabberd-icq
/sbin/chkconfig jabberd-icq on
if [ -s /etc/jabber/icq.xml ]; then
  if [ -f /var/lock/subsys/jabberd-icq ]; then
    /etc/rc.d/init.d/jabberd-icq restart
  else
    /etc/rc.d/init.d/jabberd-icq start
  fi
else
  echo "ICQ transport installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <icq-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-icq off
  /sbin/chkconfig --del jabberd-icq
  if [ -f /var/lock/subsys/jabberd-icq ]; then
    /etc/rc.d/init.d/jabberd-icq stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "ICQ transport deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README doc/* jit/BUGS jit/ChangeLog
%doc jit/INSTALL jit/TODO
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Thu Jul 14 2005 peter.pramberger@member.fsf.org
- new version 1.1.7
- updated for jabber 1.4.4
- removed package devel

* Mon Jun 28 2004 peter.pramberger@member.fsf.org
- some spec file cleanups

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Mon Jun 30 2003 peter.pramberger@member.fsf.org
- created

